import { ActivationCode } from './types/ActivationCode.type';
import NodeCache from 'node-cache';
export default class OneTimeActivationCode {
    encodeCode: boolean;
    expiresAfter: number;
    attemptsChance: number;
    cacheSystem: NodeCache;
    constructor(options?: {
        encodeCode?: boolean;
        expiresAfter?: number;
        attemptsChance?: number;
    });
    set(key: string, code: string): void;
    get(key: string): ActivationCode;
    isValid(key: string, code: string): boolean;
    private handleAttempts;
    private timeConversion;
}
